Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.view.appearance.swing
Class LabelPainter

    java.lang.Object
      datechooser.view.appearance.swing.LabelPainter

All Implemented Interfaces:
  CellAttributes, Painter, SwingCellAttributes, java.io.Serializable, java.lang.Cloneable

    public class LabelPainter

extends java.lang.Object
implements Painter, SwingCellAttributes

Draws cells using JLabel, Look & Feel support.
Рисовальщик простых ячеек. Использует при рисовании класс JLabel. Поддерживает Look & Feel.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Constructor Summary
`LabelPainter()`

Method Summary
`void` | `assign(CellAppearance newAppearance)` Assign one cell properties for another.
`java.lang.Object` | `clone()`
`javax.swing.border.Border` | `getBorder()`
`java.awt.Component` | `getComponent(java.awt.Component c)`
`java.awt.Font` | `getFont()`
`javax.swing.JLabel` | `getLabel()`
`java.awt.Color` | `getTextColor()`
`void` | `paint(java.awt.Graphics2D g)`
`void` | `setEnabled(boolean enabled)`
`void` | `setFont(java.awt.Font font)`
`void` | `setLabel(javax.swing.JLabel label)`
`void` | `setPressed(boolean pressed)`
`void` | `setSize(int width, int height)`
`void` | `setText(java.lang.String text)`
`void` | `setTextColor(java.awt.Color color)`
`void` | `updateUI()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelPainter

    public LabelPainter()

Method Detail

### setText

    public void setText(java.lang.String text)

  Specified by:
    `setText` in interface `Painter`

### setFont

    public void setFont(java.awt.Font font)

  Specified by:
    `setFont` in interface `CellAttributes`

### getFont

    public java.awt.Font getFont()

  Specified by:
    `getFont` in interface `CellAttributes`

### setTextColor

    public void setTextColor(java.awt.Color color)

  Specified by:
    `setTextColor` in interface `CellAttributes`

### updateUI

    public void updateUI()

  Specified by:
    `updateUI` in interface `Painter`

### setSize

    public void setSize(int width,
                        int height)

  Specified by:
    `setSize` in interface `Painter`

### paint

    public void paint(java.awt.Graphics2D g)

  Specified by:
    `paint` in interface `Painter`

### getBorder

    public javax.swing.border.Border getBorder()

  Specified by:
    `getBorder` in interface `Painter`

### setPressed

    public void setPressed(boolean pressed)

  Specified by:
    `setPressed` in interface `Painter`

### setEnabled

    public void setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `Painter`

### getLabel

    public javax.swing.JLabel getLabel()

### setLabel

    public void setLabel(javax.swing.JLabel label)

### getTextColor

    public java.awt.Color getTextColor()

  Specified by:
    `getTextColor` in interface `CellAttributes`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `Painter`
  Overrides:
    `clone` in class `java.lang.Object`

### assign

    public void assign(CellAppearance newAppearance)

  Description copied from interface: `CellAttributes`
  Assign one cell properties for another. Not used (reserved).
  Зарезервирована если захочется сделать единые настройки для всех полей

  Specified by:
    `assign` in interface `CellAttributes`

### getComponent

    public java.awt.Component getComponent(java.awt.Component c)

  Specified by:
    `getComponent` in interface `Painter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD